Get all kanban plan
get
/fscmRestApi/resources/11.13.18.05/kanbanPlans
Request
Query Parameters
-
expand: string
When this parameter is provided, the specified children are included in the resource payload (instead of just a link). The value of this query parameter is "all" or "". More than one child can be specified using comma as a separator. Example: ?expand=Employees,Localizations. Nested children can also be provided following the format "Child.NestedChild" (Example: ?expand=Employees.Managers). If a nested child is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?expand=Employees.Managers" is the same as "?expand=Employees,Employees.Managers" (which will expand Employees and Managers).
-
fields: string
This parameter filters the resource fields. Only the specified fields are returned, which means that if no fields are specified, no fields are returned (useful to get only the links). If an indirect child resource is provided (Example: Employees.Managers), the missing children will be processed implicitly. For example, "?fields=Employees.Managers:Empname" is the same as "?fields=;Employees:;Employees.Managers:Empname" (which will only return the "Empname" field for Managers). the value of this query parameter is a list of resource fields. The attribute can be a direct (Example: Employees) or indirect (Example: Employees.Managers) child. It cannot be combined with expand query parameter. If both are provided, only fields will be considered.
Format: ?fields=Attribute1,Attribute2
Format for fields in child resource: ?fields=Accessor1:Attribute1,Attribute2 -
finder: string
Used as a predefined finder to search the collection.
Format ?finder=<finderName>;<variableName>=<variableValue>,<variableName2>=<variableValue2>
The following are the available finder names and corresponding finder variables- PrimaryKey Finds kanban plan
Finder Variables- KanbanPlanId; integer; The unique identifier of a Kanban plan. Its value is an application generated unique identifier.
- PrimaryKey Finds kanban plan
-
limit: integer
This parameter restricts the number of resources returned inside the resource collection. If the limit exceeds the resource count then the framework will only return the available resources.
-
links: string
This parameter can be used to show only certain links while accessing a singular resource or a resource collection. The parameter value format is a comma-separated list of : <link_relation>
Example:
self,canonical -
offset: integer
Used to define the starting position of the resource collection. If offset exceeds the resource count then no resources are returned. Default value is 0.
-
onlyData: boolean
The resource item payload will be filtered in order to contain only data (no links section, for example).
-
orderBy: string
This parameter orders a resource collection based on the specified fields. The parameter value is a comma-separated string of attribute names, each optionally followed by a colon and "asc" or "desc". Specify "asc" for ascending and "desc" for descending. The default value is "asc". For example, ?orderBy=field1:asc,field2:desc
-
q: string
This query parameter defines the where clause. The resource collection will be queried using the provided expressions. The value of this query parameter is one or more expressions. Example: ?q=Deptno>=10 and <= 30;Loc!=NY
Format: ?q=expression1;expression2
You can use these queryable attributes to filter this collection resource using the q query parameter:- InputDesignator; string; Represents the external forecast designator or demand plan designator.
- InputType; string; Represents the type of demand provided to the plan such as external forecast or actual production.
- KanbanPlanCode; string; Represents the Kanban designator, which serves as a reference label to distinguish individual Kanban plans.
- KanbanPlanDescription; string; The description of plan used in the Kanban planning process.
- KanbanPlanId; integer; The unique identifier of a Kanban plan. Its value is an application generated unique identifier.
- OrganizationCode; string; Code of the inventory organization to which this pull sequence belongs.
- OrganizationId; integer; The organization identifier represents the manufacturing plant to which this Kanban plan belongs.
- PlanCutoffDate; string; The plan cutoff date used in the Kanban planning process.
- PlanDisableDate; string; The plan disable date used in the Kanban planning process.
- PlanStartDate; string; The demand start date used in the Kanban planning process.
-
totalResults: boolean
The resource collection representation will include the "estimated row count" when "?totalResults=true", otherwise the count is not included. The default value is "false".
Header Parameters
-
Metadata-Context: string
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version: string
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
There's no request body for this operation.
Back to TopResponse
Supported Media Types
- application/json
Default Response
The following table describes the default response for this task.
Headers
-
Metadata-Context:
If the REST API supports runtime customizations, the shape of the service may change during runtime. The REST client may isolate itself from these changes or choose to interact with the latest version of the API by specifying this header. For example: Metadata-Context:sandbox="TrackEmployeeFeature".
-
REST-Framework-Version:
The protocol version between a REST client and service. If the client does not specify this header in the request the server will pick a default version for the API.
Root Schema : kanbanPlans
Type:
Show Source
object-
count(required): integer
The number of resource instances returned in the current range.
-
hasMore(required): boolean
Indicates whether more resources are available on the server than the subset returned in the response. If the value is true, then there are more resources to retrieve from the server. The default value is false.
-
items: array
Items
Title:
ItemsThe items in the collection. -
limit(required): integer
The actual paging size used by the server.
-
links(required): array
Links
Title:
LinksThe link relations associated with the resource instance. -
offset(required): integer
The offset value used in the current page.
-
totalResults: integer
The estimated row count when "?totalResults=true", otherwise the count is not included.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : kanbanPlans-item-response
Type:
Show Source
object-
InputDesignator: string
Title:
External ForecastMaximum Length:10Represents the external forecast designator or demand plan designator. -
InputType: string
Title:
Demand TypeMaximum Length:30Represents the type of demand provided to the plan such as external forecast or actual production. -
KanbanPlanCode: string
Title:
Plan NameMaximum Length:10Represents the Kanban designator, which serves as a reference label to distinguish individual Kanban plans. -
KanbanPlanDescription: string
Title:
Plan DescriptionMaximum Length:240The description of plan used in the Kanban planning process. -
KanbanPlanId: integer
(int64)
The unique identifier of a Kanban plan. Its value is an application generated unique identifier.
-
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
OrganizationCode: string
Maximum Length:
18Code of the inventory organization to which this pull sequence belongs. -
OrganizationId: integer
(int64)
The organization identifier represents the manufacturing plant to which this Kanban plan belongs.
-
PlanCutoffDate: string
(date)
Title:
Demand Cutoff DateRead Only:trueThe plan cutoff date used in the Kanban planning process. -
PlanDisableDate: string
(date)
Title:
Inactive OnThe plan disable date used in the Kanban planning process. -
PlannedPullSequences: array
Planned Kanban Pull Sequences
Title:
Planned Kanban Pull SequencesA Kanban pull sequence that belongs to a Kanban plan, identified by the Kanban plan ID. -
PlanStartDate: string
(date)
Title:
Demand Start DateRead Only:trueThe demand start date used in the Kanban planning process.
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Nested Schema : Planned Kanban Pull Sequences
Type:
arrayTitle:
Planned Kanban Pull SequencesA Kanban pull sequence that belongs to a Kanban plan, identified by the Kanban plan ID.
Show Source
Nested Schema : link
Type:
Show Source
object-
href: string
Title:
hyperlink referenceThe URI to the related resource. -
kind: string
Title:
kindAllowed Values:[ "collection", "item", "describe", "other" ]The kind of the related resource. -
name: string
Title:
nameThe name of the link to the related resource. -
properties: object
properties
-
rel: string
Title:
relationAllowed Values:[ "self", "lov", "parent", "canonical", "child", "enclosure", "action", "custom" ]The name of the relation to the resource instance. Example: self.
Nested Schema : properties
Type:
Show Source
object-
changeIndicator: string
Change indicator or the ETag value of the resource instance.
Nested Schema : kanbanPlans-PlannedPullSequences-item-response
Type:
Show Source
object-
AverageDailyDemand: number
Title:
Average Daily DemandAverage daily demand for the Kanban item, in the pull sequence unit of measure -
CalculatedCards: integer
Title:
Calculated Number of CardsNumber of Kanban cards calculated by planning when the calculation method is to calculate cards -
CalculatedDifference: integer
Title:
Calculated DifferenceRead Only:trueDifference between the current value and the planning-recommended value, either the number of Kanban cards or the Kanban size, based on the calculation method -
CalculatedSize: number
Title:
Calculated Card SizeKanban size calculated by planning when the calculation method is to calculate size, in the pull sequence unit of measure -
InventoryItemId: integer
(int64)
Title:
ItemRead Only:trueThe unique identifier of the item defined in the pull sequence. -
ItemNumber: string
Title:
ItemRead Only:trueMaximum Length:300Item number in the pull sequence. -
KanbanCalculationMethod: string
Title:
CalculationRead Only:trueMaximum Length:30Default Value:DO_NOT_CALCULATEIndicates whether planning calculates the number of Kanban cards or the Kanban size for upcoming periods based on demand. -
KanbanPlanId: integer
(int64)
Read Only:
trueDefault Value:-1The application generated unique identifier of a Kanban plan. -
KanbanSize: integer
Title:
Current Card SizeRead Only:trueSize of the Kanban bin. -
links: array
Links
Title:
LinksThe link relations associated with the resource instance. -
Locator: string
Read Only:
trueMaximum Length:255Name of the destination locator of the item in the pull sequence. -
LocatorId: integer
(int64)
Title:
Destination LocatorRead Only:trueIdentifier of the destination locator of the item in the pull sequence. -
NumberOfCards: integer
Title:
Current Number of CardsRead Only:trueNumber of Kanban cards in the pull sequence. -
PullSequenceId: integer
(int64)
Read Only:
trueUnique identifier of the Kanban pull sequence. Its value is an application-generated unique ID. -
ReplenishmentLeadTime: number
Title:
Lead TimeTime required to source the item. -
SafetyStockDays: number
Title:
Safety StockSafety stock days for the pull sequence -
SubinventoryCode: string
Title:
Destination SubinventoryRead Only:trueMaximum Length:10Name of the destination subinventory of the item in the pull sequence. -
SubinventoryNameMLS: string
Read Only:
trueMaximum Length:255Name of the destination subinventory (MLS) for the item in the kanban card. -
TemporaryCards: integer
Title:
Temporary CardsRead Only:truePlanned Kanban Pull Sequences
Nested Schema : Links
Type:
arrayTitle:
LinksThe link relations associated with the resource instance.
Show Source
Links
- recalculate
-
Recalculates the Kanban size or the number of Kanban cards when the client sends the Pull Sequence ID along with additional parameters. Based on the calculation method defined for the pull sequence, the application returns either the Kanban size or the number of Kanban cards.
- updateProduction
-
Updates to the production pull sequence occur when the client sends the Pull Sequence ID, and the application then updates the corresponding production pull sequence.